Arquivo da categoria: AutoCAD

Autolisp para salvar textos do AutoCAD para arquivos

; Salva o conteúdo dos textos (text ou mtext) selecionados em um arquivo. (defun c:text2arq() (z1) (setq arqz (open “c:\\dados.txt” “w”)) (setq n 1) (setq color 4) (while (= n 1) (setq ent (entsel)) (if ent (progn (command “change” ent … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp para alinhar texto em relação à uma linha

; Alinha o texto selecionado em relação à uma linha (defun c:atexto()(print)(prompt “Selecione a linha. “)(setq obj (entsel))(setq obj  (car obj))(setq obj (entget obj)) (setq p1 (assoc 10 obj))(setq p2 (assoc 11 obj)) (setq x1 (nth 1 p1))(setq y1 (nth … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp para criar vistas (viewports no layout) em escala

; Rotina para criar vistas (viewports no layout) em escala; Iniciar no “Model”; p1 e p2 -> vértices do retângulo que inclui o desenho a ser representado; model em metros e layout em milímetros (defun c:cv ()  (setq escala (getreal … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp para verificar se existem objetos com cores diferentes de 1 a 8

; Verifica se existem objetos com cores diferentes de 1 a 8; Muda cores diferentes para a cor vermelha; Não funciona se a cor do objeto estiver definida pela layer (defun c:VerCor() (setq en 0 k 0) (setq o (ssget)) … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp para verificar se existem objetos com cores diferentes de 1 a 8

; Verifica se existem objetos com cores diferentes de 1 a 8; Muda cores diferentes para a cor vermelha; Não funciona se a cor do objeto estiver definida pela layer (defun c:VerCor() (setq en 0 k 0) (setq o (ssget)) … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp: Exemplo de uso de (grread)

; Para desenhar linha pressionando qualquer tecla (só movendo o cursor e pressionando a tecla “espaço”, por exemplo); Inicie o desenho com uma linha (dois pontos) e depois continue desenhando apenas clicando ou pressionando qualquer tecla.; Pressione “Esc” para abortar; … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário

Autolisp para Multiplicar uma constante pelo texto selecionado

; Multiplica uma constante pelo texto selecionado (defun c:constex() (setq k (getreal “Constante:  “)) (setq o (entsel “Selecione o texto a ser alterado “))(setq n (read (cdr (assoc 1 (entget (car o)))))) (setq prod (rtos (* n k) 2 2)) … Continuar lendo

Publicado em AutoCAD, Autolisp | Deixe um comentário